Skip to main content
POST
Updates a subscription

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Path Parameters

autobillId
string
required

The autobillId of the Subscription to be updated.

Query Parameters

dryrun
boolean
default:false

Simulates the subscription update to generate the initial transaction amounts without sending it for processing.

Body

application/json
items
object[]
required
paymentMethodId
string

A unique identifier.

Maximum string length: 256
billingPlanId
string

A unique identifier.

Maximum string length: 256
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

Response

OK

subscription
object
transaction
object
nextTransaction
object